package net.northking.cctp.flowable.api.implement.service;

import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.flowable.bus.dto.ImFlowMQDto;
import net.northking.cctp.flowable.db.entity.IpProcess;
import net.northking.cctp.flowable.dto.ip.IpProcessState;

import java.util.List;

/**
 * 实施流程定义资源服务接口
 *
 * @author : jieying.li
 * @version : 1.0
 */
public interface ImplementProcessService {
    String saveProcess(IpProcessState dto);

    IpProcessState findByPK(String uuid);

    Integer deleteByPK(String uuid);

    Integer deleteBatch(List<String> batch);

    Integer updateDefault(String uuid);

    Pagination<IpProcessState> pagingQuery(QueryByPage<IpProcess> queryByPage);

    void reloadProcessCache();

    void createProcess(ImFlowMQDto imFlow);
}
